using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using MediaPortal.GUI.Library;
using MediaPortal.Mixer;

namespace WINLIRC_PLUGIN
{
    public partial class Settings : Form
    {
        public bool learn = false;

        public Settings()
        {
            InitializeComponent();
        }

        private void commands_SelectedIndexChanged(object sender, EventArgs e)
        {
            int SelectedIrcommandIndex;
            SelectedIrcommandIndex = IRcommands.SelectedIndex;
            if (Connection.CommandTable[SelectedIrcommandIndex].ToString() == "")
            {
                MPCommands.SelectedItem = "";
            }
            else
            {
                MPCommands.SelectedItem = Connection.CommandTable[SelectedIrcommandIndex];
            }
        }

        private void Settings_Load(object sender, EventArgs e)
        {
            
            //Loading the MP Actions into a listbox
            Logging.Log("Loading MP Actions into a Listbox");
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void Button_Learn_Click(object sender, EventArgs e)
        {
            if (learn == true)
            {
                Btn_Save.Enabled = true;
                Connection.initCommandTable();
                learn = false; //disable learn Mode
                Button_Learn.Text = "Learn (on)";
            }
            else
            {
                Btn_Save.Enabled = false;
                IRcommands.Items.Clear(); //Delete all items 
                learn = true; //enable learn mode
                Button_Learn.Text = "Learn (off)";
            }
        }

       

        private void MPCommands_SelectedIndexChanged(object sender, EventArgs e)
        {
            int SelectedIrcommandIndex;
            SelectedIrcommandIndex = IRcommands.SelectedIndex;
            Connection.CommandTable[SelectedIrcommandIndex] = MPCommands.SelectedItem.ToString();
        }

        private void Btn_Save_Click(object sender, EventArgs e)
        {
            Connection.SaveToXML();
        }

        private void btn_load_Click(object sender, EventArgs e)
        {
            Connection.LoadSettingsFromXML();
        }
    }
}